Skip to main content
PATCH
/
card-shipments
/
{id}
Update card shipment shipping details
curl --request PATCH \
  --url https://sandbox.api.reap.global/card-shipments/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Reap-Version: <reap-version>' \
  --data '
{
  "courier": {
    "type": "<string>",
    "name": "<string>"
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "DRAFT",
  "destinationAddress": {
    "line1": "<string>",
    "line2": "<string>",
    "zone": "<string>",
    "city": "<string>",
    "postalCode": "<string>",
    "country": "<string>"
  },
  "recipient": {
    "firstName": "<string>",
    "lastName": "<string>",
    "phoneNumber": "<string>",
    "dialCode": 123,
    "email": "jsmith@example.com"
  },
  "courier": {
    "type": "POSTAL",
    "name": "<string>"
  },
  "trackingNumber": "<string>",
  "trackingUrl": "<string>",
  "cutoffDate": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "submittedAt": "<string>",
  "deliveredAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key as Bearer token

Headers

Reap-Version
enum<string>
required

API version (YYYY-MM-DD)

Available options:
2025-02-14
Example:

"2025-02-14"

Path Parameters

id
string<uuid>
required

Body

Request body for updating shipment shipping details

destinationAddress
object
recipient
object

Recipient details

courier
object

Response

Card shipment resource

id
string<uuid>
required

Unique shipment identifier

status
enum<string>
required

Shipment lifecycle status

Available options:
DRAFT,
PLACED,
IN_PRODUCTION,
READY_TO_SHIP,
IN_TRANSIT,
OUT_FOR_DELIVERY,
DELIVERED,
DELIVERY_FAILED,
EXCEPTION,
CANCELED
Example:

"DRAFT"

destinationAddress
object
required

Box-level destination address

recipient
object
required

Recipient details

courier
object
required

Courier selection

trackingNumber
string | null
required

Courier tracking number

trackingUrl
string | null
required

Courier tracking URL

cutoffDate
string | null
required

ISO 8601 cutoff date returned by the manufacturer

createdAt
string
required

ISO 8601 creation timestamp

updatedAt
string
required

ISO 8601 last update timestamp

submittedAt
string | null
required

ISO 8601 timestamp when submitted to the manufacturer

deliveredAt
string | null
required

ISO 8601 timestamp when all cards were delivered